commit:     13dc72d1fe145b893808d641b9e290490e864f70
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Aug  9 23:46:46 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Aug  9 23:48:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=13dc72d1

media-gfx/airsane: add 0.4.6

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>

 media-gfx/airsane/Manifest             |  1 +
 media-gfx/airsane/airsane-0.4.6.ebuild | 45 ++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/media-gfx/airsane/Manifest b/media-gfx/airsane/Manifest
index 3e45fff883..09f8a075b6 100644
--- a/media-gfx/airsane/Manifest
+++ b/media-gfx/airsane/Manifest
@@ -1 +1,2 @@
 DIST airsane-0.4.5.tar.gz 127876 BLAKE2B 
aa26a2150d1e930b721d567c1b2ff1dc62c3bacda779f67d268b3deee8de3fff7044b742cb8564892a5296d1c3a2d57c08e064d9b0483eb6947ee8cf6127dbdd
 SHA512 
a59661478263ae56cfa88228300cbc7357b1eddd9c00cb3020bd3f68115ed28612b624b2a0197c5de58438f1c2423115cd16c210fbf73b4d61680eb2aa8969fd
+DIST airsane-0.4.6.tar.gz 128030 BLAKE2B 
c8dc3c150846c77b4ff442fda1e80ce89f565389538fbce6917d615972ef63d2df62f8b28dae15b95c0206f598b0e27209563b0baee11e420048bd37ce6304f8
 SHA512 
986dfc9ea2ffc3bfc9fe4a10ae8920c98c16155754db524d48983107d8f271ba3a77d8f44df636cd059e4bb6b4102c0683eb4222c859d663c0d951c7f39d9bb4

diff --git a/media-gfx/airsane/airsane-0.4.6.ebuild 
b/media-gfx/airsane/airsane-0.4.6.ebuild
new file mode 100644
index 0000000000..1257bfc18a
--- /dev/null
+++ b/media-gfx/airsane/airsane-0.4.6.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Publish SANE scanners via Apple Airscan/eSCL"
+
+HOMEPAGE="https://github.com/SimulPiscator/AirSane";
+SRC_URI="https://github.com/SimulPiscator/AirSane/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+# License of the package.  This must match the name of file(s) in the
+# licenses/ directory.  For complex license combination see the developer
+# docs on gentoo.org for details.
+LICENSE="GPL-3"
+
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="media-gfx/sane-backends
+       media-libs/libpng
+       media-libs/libjpeg-turbo
+       net-dns/avahi
+       virtual/libusb:1"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+       unpack ${P}.tar.gz
+       mv "AirSane-${PV}" "${P}" || die
+}
+
+src_prepare() {
+       cmake_src_prepare
+# Upstream condtionally installs config files
+       sed     -i "${S}/CMakeLists.txt" \
+               -e "s/\(.*\)NOT EXISTS \/etc\/airsane\/.*/\11)/g" \
+       || die
+# Gentoo uses the "scanner" group not "saned".
+# Also remove 15 seocnd delay hack. Shouldn't be needed anymore:
+# https://github.com/SimulPiscator/AirSane/issues/55
+       sed     -i "${S}/systemd/airsaned.service.in" \
+               -e "s/\(Group=\)saned/\1scanner/" \
+               -e "/\/bin\/sleep/d" \
+       || die
+}

Reply via email to